%def_without test
%define module_name POE-Loop-EV
# XXX Can't locate object method "loop_ignore_signal" via package "POE::Kernel"
%define __spec_autodep_custom_pre export PERL5OPT='-I%buildroot%perl_vendor_privlib -MPOE'

%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(EV.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(POE.pm) perl(POE/Test/Loops.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt1
Summary: a bridge that supports EV from POE
Group: Development/Perl
License: perl
URL: https://github.com/Grinnz/POE-Loop-EV

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DB/DBOOK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class is an implementation of the abstract POE::Loop interface.
It follows POE::Loop's public interface exactly.  Therefore, please
see the POE::Loop manpage for its documentation.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md Changes LICENSE README
%perl_vendor_privlib/P*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

